Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
xnoise non legge mpeg-4
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Sat Mar 16, 2013 2:41 pm    Post subject: xnoise non legge mpeg-4 Reply with quote

Ho installato xnoise ma non mi legge i file mpeg-4..ho provato ad installare un po di codec ma nulla.. non riesco.. esiste un file contenente tutti i codec ?
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 480

PostPosted: Sun Mar 17, 2013 4:41 pm    Post subject: Re: xnoise non legge mpeg-4 Reply with quote

saverik wrote:
ho provato ad installare un po di codec ma nulla..

Cosa intendi con "un po' di codec"? Cosa hai installato di preciso?
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Fri Mar 22, 2013 2:57 pm    Post subject: Reply with quote

Questo e' il messaggio di errore:

Plugin gstreamer mancante :Decoder Xvid Mpeg-4 .
Installazione automatica dei plugin non supportata



Ho provato ad installare questi:
media-plugins/gst-plugins-x, media-plugins/gst-plugins-gl, media-plugins/gst-plugins-dv?
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 480

PostPosted: Fri Mar 22, 2013 3:25 pm    Post subject: Reply with quote

Non installare plugin a caso, rimuovili e installa gst-plugins-meta (che in base alle USE impostate si porta dietro quel che serve)
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Fri Mar 22, 2013 7:52 pm    Post subject: Reply with quote

Nulla... Xnoise non va....mi da lo stesso errore:

Plugin gstreamer mancante :Decoder Xvid Mpeg-4 .
Installazione automatica dei plugin non supportata

Plugin gstreamer mancante :Decoder Xvid Mpeg-4 .
Installazione automatica dei plugin non supportata

Plugin gstreamer mancante :Decoder h264.
Installazione automatica dei plugin non supportata
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 480

PostPosted: Fri Mar 22, 2013 8:00 pm    Post subject: Reply with quote

Che USE hai abilitato per gst-plugins-meta?
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Sat Mar 23, 2013 9:23 am    Post subject: Reply with quote

Questo e' il mio make.conf:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="X acpi acl crypt alsa bluetooth branding bzip2 bindist cups external-fuse gzip ios lm_sensors multilib mmx mpeg4 nvidia ntfsprogs opengl pdf ssl udev usb sse sse2 ss3 webkit wifi -kde -qt4"
#CCACHE_SIZE="4G"
#CCACHE_DIR="/var/tmp/ccache/"#
#PORTAGE_TMPDIR="/var/tmp/"
MAKEOPT="-j3"
VIDEO_CARDS="nvidia"
LINGUAS="it"
INPUT_DEVICES="evdev synaptics mouse keyboard"
ACCEPT_LICENCE="*"

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync1.fr.gentoo.org/gentoo-portage"

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"



Ah dimenticavo...ho installato vlc e non parte nemmeno..nessun front-end grafico.
Lo stesso dicasi per file pdf,dove sia qpdf xhe xpdf vengono installati ma non si aprono!!! 8O 8O
Mi sa che c'e' una causa comune.
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Sat Mar 23, 2013 12:32 pm    Post subject: Reply with quote

saverik wrote:
Questo e' il mio make.conf:

# These settings were set by the catalyst build script that automatically
# built this stage.
# Please consult /usr/share/portage/config/make.conf.example for a more
# detailed example.
CFLAGS="-march=native -O2 -pipe"
CXXFLAGS="${CFLAGS}"
# WARNING: Changing your CHOST is not something that should be done lightly.
# Please consult http://www.gentoo.org/doc/en/change-chost.xml before changing.
CHOST="x86_64-pc-linux-gnu"
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="X acpi acl crypt alsa bluetooth branding bzip2 bindist cups external-fuse gzip ios lm_sensors multilib mmx mpeg4 nvidia ntfsprogs opengl pdf ssl udev usb sse sse2 ss3 webkit wifi -kde -qt4"
#CCACHE_SIZE="4G"
#CCACHE_DIR="/var/tmp/ccache/"#
#PORTAGE_TMPDIR="/var/tmp/"
MAKEOPT="-j3"
VIDEO_CARDS="nvidia"
LINGUAS="it"
INPUT_DEVICES="evdev synaptics mouse keyboard"
ACCEPT_LICENCE="*"

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync1.fr.gentoo.org/gentoo-portage"

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"



Ah dimenticavo...ho installato vlc e non parte nemmeno..nessun front-end grafico.
Lo stesso dicasi per file pdf, dove qpdf non si apre!!! 8O 8O
C'e' una causa comune?

_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 480

PostPosted: Sat Mar 23, 2013 3:31 pm    Post subject: Reply with quote

saverik wrote:
Questo e' il mio make.conf:
# These are the USE flags that were used in addition to what is provided by the
# profile used for building.
USE="X acpi acl crypt alsa bluetooth branding bzip2 bindist cups external-fuse gzip ios lm_sensors multilib mmx mpeg4 nvidia ntfsprogs opengl pdf ssl udev usb sse sse2 ss3 webkit wifi -kde -qt4"

Hai davvero poche USE, e hai escluso kde e le qt4, però se vuoi avere un'interfaccia grafica dovresti perlomeno includere le gtk (ed eventualmente gnome)

Quote:
MAKEOPT="-j3"

L'opzione è MAKEOPTS (con la S).

Quote:

ACCEPT_LICENCE="*"

L'opzione è ACCEPT_LICENSE (poi non so, magari ha un alias).

Quote:

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/ ftp://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync1.fr.gentoo.org/gentoo-portage"

GENTOO_MIRRORS="http://mirrors.linuxant.fr/distfiles.gentoo.org/"

SYNC="rsync://rsync.fr.gentoo.org/gentoo-portage"[/color]

Se specifichi più volte la stessa variabile, solo l'ultima avrà effetto.

Quote:

Ah dimenticavo...ho installato vlc e non parte nemmeno..nessun front-end grafico.

Per forza, il front-end di vlc è in Qt4 e tu hai -qt4 nelle USE:
Code:

$ equery u vlc
[...]
+ + qt4                    : (Restricted to >=media-video/vlc-0.9)
                              Builds a x11-libs/qt based frontend. It is now the most up-to-date graphical
                              interface available.


Quote:

Lo stesso dicasi per file pdf,dove sia qpdf xhe xpdf vengono installati ma non si aprono!!! 8O 8O
Mi sa che c'e' una causa comune.

Beh, se qpdf ti mostrasse un'interfaccia sarebbe grave:
Code:
Description:         A command-line program that does structural, content-preserving transformations on PDF files

Per quanto riguarda xpdf, [url="http://archives.gentoo.org/gentoo-user/msg_c32876f97a6dd93a96772022dce1b04e.xml"]non è più disponibile in portage[/url], da dove l'hai preso?


Tornando all'argomento principale, xnoise si lamenta che vuole i codec per xvid e per h.264, di conseguenza per risolvere il problema basta aggiungere le USE "x264" (per h.264) e "xvid" a gst-plugins-meta (o anche a tutto il sistema, che male non fa) e riemergerlo con -N.
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
saverik
Tux's lil' helper
Tux's lil' helper


Joined: 18 Oct 2008
Posts: 110

PostPosted: Sat Mar 23, 2013 5:58 pm    Post subject: Reply with quote

grazie per la tua pazienza..e sopratutto per le correzioni!!!
per i file PDF come posso fare?
Ho xfce come DE..pensavo che qt4 e GNOME non le dovessi usare nelle Use.
_________________
Notebook HP DM3-1010:cpu core2duo1,3Ghz,8GbRam,ssd64Gb ocz Agility3,nvidia GeForce105m,
Linux= Gentoo64bit+Xfce4+LightDm+Openrc- http://www.boincitaly.org/
Mai discutere con un imbecille.Ti porta al suo livello
Back to top
View user's profile Send private message
pierino_89
Guru
Guru


Joined: 03 Oct 2009
Posts: 480

PostPosted: Mon Mar 25, 2013 10:51 am    Post subject: Reply with quote

Beh "gtk" come use sicuramente devi averla... Anche XFCE usa le gtk. Per quanto riguarda "qt4" e "gnome" è una buona idea non averle fra le use globali, però ti conviene abilitarle sui singoli pacchetti. Tipo su vlc devi per forza abilitare "qt4" se vuoi l'interfaccia grafica.

Per leggere i pdf c'è "evince" che sarebbe parte di GNOME, ma non si tira dietro molte dipendenze.
Se hai altri problemi apri una nuova discussione, che qui stiamo già mescolando troppe cose :wink:
_________________
Linux registered user 461710
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum